## Preview Pane

Preview Pane — Preview pane widget

## Functions

const gchar * | font_manager_preview_pane_page_to_string ()
GtkWidget * | font_manager_preview_pane_new ()
void | font_manager_preview_pane_show_uri ()
void | font_manager_preview_pane_set_font ()
void | font_manager_preview_pane_set_orthography ()
void | font_manager_preview_pane_set_waterfall_size ()
void | font_manager_preview_pane_restore_state ()

## Properties

double | character-map-preview-size | Read / Write
FontManagerFont * | font | Read / Write
FontManagerFontInfo * | metadata | Read
FontManagerOrthography * | orthography | Write
FontManagerFontPreviewMode | preview-mode | Read / Write
double | preview-size | Read / Write
char * | preview-text | Read / Write
GHashTable * | samples | Read / Write
gboolean | show-line-size | Read / Write

## Signals

void | changed | Run First

## Types and Values

#define | FONT_MANAGER_TYPE_PREVIEW_PANE_PAGE
#define | FONT_MANAGER_TYPE_PREVIEW_PANE
| FontManagerPreviewPane

## Object Hierarchy

        GEnum
        ╰── FontManagerPreviewPanePage
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkNotebook
                        ╰── FontManagerPreviewPane

## Implemented Interfaces

FontManagerPreviewPane implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <font-manager-preview-pane.h>

## Description

Full featured font preview widget.

## Functions

### font_manager_preview_pane_page_to_string ()

    const gchar *
    font_manager_preview_pane_page_to_string
                                   (FontManagerPreviewPanePage page);

#### Parameters

page | FontManagerPreviewPanePage |

#### Returns

`page` as a string.

[transfer none][nullable]

### font_manager_preview_pane_new ()

    GtkWidget *
    font_manager_preview_pane_new (void);

#### Returns

A newly created FontManagerPreviewPane. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_preview_pane_show_uri ()

    void
    font_manager_preview_pane_show_uri (FontManagerPreviewPane *self,
                                        const gchar *uri,
                                        int index);

#### Parameters

self | FontManagerPreviewPane |
uri | filepath to display |
index | index of face within file |

### font_manager_preview_pane_set_font ()

    void
    font_manager_preview_pane_set_font (FontManagerPreviewPane *self,
                                        FontManagerFont *font);

### font_manager_preview_pane_set_orthography ()

    void
    font_manager_preview_pane_set_orthography
                                   (FontManagerPreviewPane *self,
                                    FontManagerOrthography *orthography);

Filter character map using provided `orthography`

#### Parameters

self | FontManagerPreviewPane |
orthography | FontManagerOrthography. | [transfer none][nullable]

### font_manager_preview_pane_set_waterfall_size ()

    void
    font_manager_preview_pane_set_waterfall_size
                                   (FontManagerPreviewPane *self,
                                    gdouble min_size,
                                    gdouble max_size,
                                    gdouble ratio);

#### Parameters

self | FontManagerFontPreview |
min_size | Minimum point size to use for waterfall previews. (-1.0 to keep current) |
max_size | Maximum size to use for waterfall previews. (-1.0 to keep current) |
ratio | Waterfall point size common ratio. (-1.0 to keep current) |

### font_manager_preview_pane_restore_state ()

    void
    font_manager_preview_pane_restore_state
                                   (FontManagerPreviewPane *self,
                                    GSettings *settings);

Apply any applicable settings in `settings` to `self` and also bind those settings to their respective properties so that they are updated when any changes take place.

#### Parameters

self | FontManagerPreviewPane |
settings | GSettings |

## Types and Values

### FONT_MANAGER_TYPE_PREVIEW_PANE_PAGE

    #define FONT_MANAGER_TYPE_PREVIEW_PANE_PAGE (font_manager_preview_pane_page_get_type ())

### FONT_MANAGER_TYPE_PREVIEW_PANE

    #define FONT_MANAGER_TYPE_PREVIEW_PANE (font_manager_preview_pane_get_type ())

### FontManagerPreviewPane

    typedef struct _FontManagerPreviewPane FontManagerPreviewPane;

## Property Details

### The `“character-map-preview-size”` property

      “character-map-preview-size” double

Size to use for font in character map.

Owner: FontManagerPreviewPane

Flags: Read / Write

Allowed values: [6,96]

Default value: 16

### The `“font”` property

      “font”                     FontManagerFont *

FontManagerFont to display.

Owner: FontManagerPreviewPane

Flags: Read / Write

### The `“metadata”` property

      “metadata”                 FontManagerFontInfo *

FontManagerFontInfo for the currently displayed font.

Owner: FontManagerPreviewPane

Flags: Read

### The `“orthography”` property

      “orthography”              FontManagerOrthography *

FontManagerOrthography to display in character map.

Owner: FontManagerPreviewPane

Flags: Write

### The `“preview-mode”` property

      “preview-mode”             FontManagerFontPreviewMode

Preview mode.

Owner: FontManagerPreviewPane

Flags: Read / Write

Default value: FONT_MANAGER_FONT_PREVIEW_MODE_WATERFALL

### The `“preview-size”` property

      “preview-size”             double

Size to use for font in preview mode.

Owner: FontManagerPreviewPane

Flags: Read / Write

Allowed values: [6,96]

Default value: 10

### The `“preview-text”` property

      “preview-text”             char *

Text to display in interactive preview mode.

Owner: FontManagerPreviewPane

Flags: Read / Write

Default value: NULL

### The `“samples”` property

      “samples”                  GHashTable *

Dictionary of sample strings.

Owner: FontManagerPreviewPane

Flags: Read / Write

### The `“show-line-size”` property

      “show-line-size”           gboolean

Whether to display Waterfall preview line size.

Owner: FontManagerPreviewPane

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“changed”` signal

    void
    user_function (FontManagerPreviewPane *fontmanagerpreviewpane,
                   gpointer                user_data)

Emitted whenever the the preview is updated.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run First